From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-cpp/valijson/
Date: Tue, 23 Aug 2022 18:57:32 +0000 (UTC) [thread overview]
Message-ID: <1661281014.3cc6c155957fceb4367db5a76aa9c5ca91334347.sam@gentoo> (raw)
commit: 3cc6c155957fceb4367db5a76aa9c5ca91334347
Author: Holger Hoffstätte <holger <AT> applied-asynchrony <DOT> com>
AuthorDate: Tue Aug 23 17:27:02 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Aug 23 18:56:54 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cc6c155
dev-cpp/valijson: bump to 0.7 & fix test compilation with gcc12
Bug: https://bugs.gentoo.org/866153
Signed-off-by: Holger Hoffstätte <holger <AT> applied-asynchrony.com>
Closes: https://github.com/gentoo/gentoo/pull/26988
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-cpp/valijson/Manifest | 2 +-
dev-cpp/valijson/{valijson-0.6.ebuild => valijson-0.7.ebuild} | 4 ++++
2 files changed, 5 insertions(+), 1 deletion(-)
diff --git a/dev-cpp/valijson/Manifest b/dev-cpp/valijson/Manifest
index ab196e007f5b..7c45f2998533 100644
--- a/dev-cpp/valijson/Manifest
+++ b/dev-cpp/valijson/Manifest
@@ -1 +1 @@
-DIST valijson-0.6.tar.gz 1881386 BLAKE2B 1dd7783e10f7d362673bd2b80920c911cca194068078ac1411897b212600032bc15ffe10dbb62c27e54d168a1c634d73ee40b394e4d534e72224694ec662e0a6 SHA512 a493d17159e479be7fe29d45c610c7d4fdd2c2f9ba897923129734fb07257dbb41fddde4c4263dbf0aa5c7101cd1555568a048beba2f60d2b32e625dd9690749
+DIST valijson-0.7.tar.gz 2060214 BLAKE2B d2e1c58e37213e44d7d6af173691cad3853e87648948c229ea683bfcba8b19256b0230852b0537c2dbdd7084fcf1ac068e320c5f59a69e446610390b82e76474 SHA512 662e53bf1cac4def19792392cda7cbfe2cbadf77b768eb69b2dec693b16f85f32fa2e9b97eae36569cfcc9ac45f1e6338967423cf415d6bcd90372bc49793a2d
diff --git a/dev-cpp/valijson/valijson-0.6.ebuild b/dev-cpp/valijson/valijson-0.7.ebuild
similarity index 85%
rename from dev-cpp/valijson/valijson-0.6.ebuild
rename to dev-cpp/valijson/valijson-0.7.ebuild
index 879b255f1760..52fc96a2bad8 100644
--- a/dev-cpp/valijson/valijson-0.6.ebuild
+++ b/dev-cpp/valijson/valijson-0.7.ebuild
@@ -21,11 +21,15 @@ src_configure() {
)
if use test; then
+ # Fix relative paths to test data
sed -i -e "s:../tests/data/documents/:../${P}/tests/data/documents/:" tests/test_adapter_comparison.cpp || die
sed -i -e "s:../tests/data:../${P}/tests/data:" tests/test_validation_errors.cpp || die
sed -i -e "s:../thirdparty/:../${P}/thirdparty/:" -e "s:../doc/schema/:../${P}/doc/schema/:" tests/test_validator.cpp || die
fi
+ # -Werror is too aggressive due to false positives with gcc-12, see bug #866153
+ sed -i -e 's/-Werror//g' ../${P}/CMakeLists.txt || die
+
cmake_src_configure
}
next reply other threads:[~2022-08-23 18:57 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-08-23 18:57 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-15 13:39 [gentoo-commits] repo/gentoo:master commit in: dev-cpp/valijson/ Arthur Zamarin
2024-09-13 7:20 Joonas Niilola
2024-08-17 7:28 Michał Górny
2024-08-17 7:28 Michał Górny
2024-06-04 18:23 Arthur Zamarin
2023-05-27 7:49 Joonas Niilola
2023-03-27 20:51 Sam James
2023-03-27 20:51 Sam James
2023-01-04 6:30 Arthur Zamarin
2023-01-03 18:28 Sam James
2022-08-23 5:34 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1661281014.3cc6c155957fceb4367db5a76aa9c5ca91334347.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox